[chronojump] Improve autogen.sh script
- From: Andoni Morales Alastruey <amorales src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [chronojump] Improve autogen.sh script
- Date: Tue, 14 Jan 2014 15:15:08 +0000 (UTC)
commit fac25cd33ef020d4597a4ac8a76ad13534314398
Author: Andoni Morales Alastruey <ylatuya gmail com>
Date: Tue Jan 14 16:14:51 2014 +0100
Improve autogen.sh script
autogen.sh | 28 ++++++++++++++++++++++++++--
1 files changed, 26 insertions(+), 2 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index f6ff02c..7a1fc10 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,3 +1,27 @@
-#! /bin/sh
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
-autoreconf -ivf
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
+
+olddir=`pwd`
+cd "$srcdir"
+
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please install it ***"
+ exit 1
+else
+ ACLOCAL="aclocal $ACLOCAL_FLAGS" autoreconf --force --install || exit $?
+fi
+
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install it ***"
+ exit 1
+else
+ intltoolize || exit $?
+fi
+
+cd "$olddir"
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]